## net.sourceforge.pmd.symboltable
Class TypeSet.ImportOnDemandResolver

    java.lang.Object
      net.sourceforge.pmd.symboltable.TypeSet.ImportOnDemandResolver

All Implemented Interfaces:
  TypeSet.Resolver

Enclosing class:
  TypeSet

public static class TypeSet.ImportOnDemandResolver
extends java.lang.Object
implements TypeSet.Resolver

Constructor Summary
`TypeSet.ImportOnDemandResolver(java.util.Set importStmts)`

Method Summary
`java.lang.Class` `resolve(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeSet.ImportOnDemandResolver

    public TypeSet.ImportOnDemandResolver(java.util.Set importStmts)

Method Detail

### resolve

    public java.lang.Class resolve(java.lang.String name)
                            throws java.lang.ClassNotFoundException

  Specified by:
    `resolve` in interface `TypeSet.Resolver`
  Throws:
    `java.lang.ClassNotFoundException`

Copyright © 2002-2006 InfoEther. All Rights Reserved.